import java.util.LinkedList;

public class AcctSetList implements IAcctSet {
	
	private LinkedList<Account> accounts;
	
	public AcctSetList() {
		this.accounts = new LinkedList<Account>();
	}
	
	public Account findByNumber(int acctNum)
	{
	    for (Account acct : accounts) {
	        if (acct.checkNumber(acctNum))
	          return acct;
	      }
	      return null;  
	}

}
