import java.util.LinkedList;

class Customer {
  private String name;   
  private int password;  
  private LinkedList<Account> accounts; 
  
  boolean checkName(String name)
  {
	  if(this.name.equals(name)) return true;
	  else return false;
  }

  boolean checkPassword(int passwd)
  {
	  if(this.password == passwd) return true;
	  else return false;
  }
}

class Account {
  private int number;      
  private Customer owner;  
  private double balance;
  
  public double getNumber()
  {
	  return this.number;
  }
  
  public double getBalance()
  {
	  return this.balance;
  }
  
  void withdraw(double amt) {  
	        this.balance = this.balance - amt;
  }
  
  boolean checkNumber(int number)
  {
	  if(this.number == number) return true;
	  else return false;		  
  }

}

//BankingService bs1 = new BankingService(new AcctHeap());

class BankingService {
  private IAcctSet accounts;   
  private ICustSet customers; 
  
  public BankingService(IAcctSet accounts) {
	  this.accounts = accounts;
  }
  
  public void setAccounts(IAcctSet accounts) {
	  this.accounts = accounts;
  }
  
  public double getBalance(int forAcctNum) {  
	Account acct = this.accounts.findByNumber(forAcctNum);  
	return acct.getBalance();  	  
  }
  
  public void withdraw(int forAcctNum, double amt) {  
	Account acct = this.accounts.findByNumber(forAcctNum);  
	acct.withdraw(amt);
  }
  
  public String login(String custname, int withPwd) {
    for (Customer cust:customers) {    
	if (cust.checkName(custname)) {     
        if (cust.checkPassword(withPwd))  
          return "Welcome";
        else 
          return "Try Again";
      }}
    return "Oops -- don't know this customer";  
  }
    
}